%{!?__python2:        %define __python2 /usr/bin/python2}
%{!?python2_sitelib:  %define python2_sitelib  %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python2_sitearch: %define python2_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%{!?python2_version:  %define python2_version  %(%{__python2} -c "import sys; sys.stdout.write(sys.version[:3])")}

%define modn   pytest
%define modv   2.6.4


Summary:       A module for simple testing with Python
Name:          python-%{modn}
Version:       %{modv}
Release:       1%{?dist}%{?pext}
License:       MIT
Group:         Development/Libraries
Source0:       https://pypi.python.org/packages/source/p/%{modn}/%{modn}-%{modv}.tar.gz
URL:           https://pypi.python.org/pypi/%{modn}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        The PyTest Team <pytest-dev@python.org>
Provides:      python(%{modn}) = %{modv}
Provides:      python(%{modn}.assertion) = %{modv}
Requires:      python-argparse python-py >= 1.4.25
Requires:      python-setuptools
BuildRequires: python2-devel >= 2.6 python-setuptools
BuildRequires: python-argparse python-py >= 1.4.25
BuildRequires: python-mock python-nose
BuildArch:     noarch


%description
The pytest testing tool makes it easy to write small tests, yet scales
to support complex functional testing. It provides auto-discovery of
test modules and functions, detailed info on failing assert statements,
modular fixtures for managing small or parametrized long-lived test
resources, multi-paradigm support, single-source compatibility, and
many external plugins.


%prep
%setup -q -n %{modn}-%{modv}


%build
%{__python2} -c 'import setuptools; execfile("setup.py")' build


%check
%{__python2} setup.py test


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__python2} -c 'import setuptools; execfile("setup.py")' install \
	--skip-build -O1 --root ${RPM_BUILD_ROOT}


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc CHANGELOG LICENSE README*
%doc --parents doc/*/{announce,example,*.txt}
%{_bindir}/py.test
%{_bindir}/py.test-%{python2_version}
%{python2_sitelib}/%{modn}.py*
%{python2_sitelib}/_%{modn}
%{python2_sitelib}/*.egg-info


%changelog
* Wed Jan 28 2015 Peter Pramberger <peterpramb@member.fsf.org> - 2.6.4-1
- Initial build
